package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class OIVPQUIT_OIVPM07O {
    public @Getter @Builder.Default String FILLER7 = StringUtils
            .repeat(' ', 12);
    public @Getter @Builder.Default String FILLER8 = StringUtils.repeat(' ', 3);
    public @Getter @Builder.Default String DATEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER9 = StringUtils.repeat(' ', 3);
    public @Getter @Builder.Default String TERMO = StringUtils.repeat(' ', 4);
    public @Getter @Builder.Default String FILLER10 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String TIMEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER11 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String ENDMO = StringUtils.repeat(' ', 36);
    public @Getter @Builder.Default String FILLER12 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String MSGO = StringUtils.repeat(' ', 76);

    @Override
    public String toString() {
        return FILLER7 + FILLER8 + getDATEO() + FILLER9 + getTERMO() + FILLER10
                + getTIMEO() + FILLER11 + getENDMO() + FILLER12 + getMSGO();
    }
}
